XINE(1)

NAME
xine - Ein freier Video-Player

SYNTAX
xine [Optionen] [MRL] ...

BESCHREIBUNG
Diese Handbuchseite beschreibt kurz den xine Audio/Video-Player.

xine spielt MPEG system streams (Ton und Video), MPEG elementary streams (Z.B. .mp3 oder .mpv Dateien), MPEG transport streams, OGG Dateien, AVI Dateien, ASF Dateien, Quicktime Dateien, (S)VCDs und DVDs ab.

OPTIONEN
Dieses Programm folgt dem üblichen Format der GNU Kommandozeilenoptionen, in dem lange Optionen mit 2 Minuszeichen (`-') beginnen. Eine Zusammenfassung der Optionen ist unten aufgeführt. Für eine vollständige Beschreibung wird auf die README und FAQ in /usr/share/doc/xine-ui oder auf die xine-Homepage verwiesen.

-h, --help
    Zeigt eine Zusammenfassung der Optionen und die verfügbaren Ausgabe-Treiber (Plugins) an.

--verbose [=Stufe]
    Setze Stufe der `Geschwätzigkeit'.

-c, --config <Datei>
    Benutze <Datei> anstatt der normalen config Datei.

-a, --audio-channel <Zahl>
    Wählt die angegebene Tonspur. <Zahl> ist die Nummer der Tonspur, normalerweise 0.
    Xine 0.5 und neuer versucht, möglichst viele gültige Tonspuren (ac3, mpeg audio, avi audio, ...) des Titels zu sammeln und ordnet diese sogenannten "Virtuellen Kanälen" zu, die von 0 an beginnend durchnummeriert sind.

-V, --video-driver <Treiber>
    Wählt den Video-Treiber aus. xine --help zeigt eine Liste der Video-Treiber an, die auf diesem System verfügbar sind. Diese Auswahl wird automatisch in ~/.xine/config gespeichert, so daß der Video-Treiber nur einmalig gewählt werden braucht.

-A, --audio-driver <Treiber>
    Wählt den Audio-Treiber aus. xine --help zeigt eine Liste der Audio-Treiber an, die auf diesem System verfügbar sind. Diese Auswahl wird automatisch in ~/.xine/config gespeichert, so daß der Audio-Treiber nur einmalig gewählt werden braucht.

-u, --spu-channel <Zahl>
    Wählt einen Bilduntertitel-Kanal aus. <Zahl> gibt die Nummer des Kanals an. -1 steht für "keinen Untertitel" und ist die Standardeinstellung.

-p, --auto-play=[f][F][h][w][q][d][v]
    Startet die Wiedergabe sofort nach dem Laden den Programms. Folgende Optionen können angehängt werden:
    `f' Vollbildmodus,
    `F' Xinerama Vollbildmodus,
    `h' GUI (Steuerfenster, etc...) ausblenden,
    `w' Videoausgabefenster ausblenden,
    `q' Programm nach Abspielen beenden,
    Es ist auch möglich, eine Spielliste von DVD `d' oder `v' anzufordern. Dafür gibt es inzwischen die allgemeinere Option --auto-scan, mehr dazu siehe weiter unten.

-s, --auto-scan <plugin>
    Titelliste automatisch vom Input-Plugin erstellen. Viele Plugins erlauben es, eine Standard-Titelliste zu erstellen, die "alles" enthält. Dies funktioniert zum Beispiel gut mit DVDs und VCDs. Das Benutzen dieser Option hat die gleiche Wirkung, als wenn der zugehörige Knopf im xine-Hauptfenster gedrückt wird.

    Diese Option ist besonders nützlich im Zusammenhang mit auto-play. Durch Starten von xine --auto-play --auto-scan dvd kann eine gesamte DVD abgespielt werden, ohne einen weiteren Knopf zu betätigen. Dies funktioniert auch mit Plugins, die nicht mit xine ausgeliefert werden, indem einfach der Name des Knopfes angegeben wird, wie er im xine-Fenster dargestellt wird.

-f, --fullscreen
    Schaltet xine nach dem Start in den Vollbildschirmmodus. (Wie das Betätigen von `f')

-f, --xineramafull
    Schaltet xine nach dem Start in den Xinerama Vollbildschirmmodus. (Wie das Betätigen von `F') Dadurch werden mehrere Bildschirme (festgelegt durch die Konfigurationsdatei) zur Anzeige verwendet.

-g, --hide-gui
    Verdeckt nach dem Start nur das Steuerfenster, das Video-Fenster bleibt sichtbar. (Wie das Betätigen von `G')

-G, --geometry <BxH[+X+Y]>
    Position und Größe des Video-Fensters als X-Geometrie angeben (siehe X(7)). Position X und Y sind optional.

-B, --borderless
    Rahmen vom Video-Fenster entfernen (Nur im Fenster-Modus).

-N, --animation <mrl>
    Eine oder mehrere MRLs zum Abspielen, falls kein Videoanteil vorhanden ist.

-P, --playlist <Dateiname>
    Benutzt die Datei als Wiedergabeliste. Mögliche Formate sind: asx, toxine, m3u, pls, sfv und rohe Textdateien.

-l, --loop [=Modus]
    Setzt den Wiedergabeliste-Wiederholmodus. Wenn der Modus nicht angegeben ist, wird `loop' verwendet. MÖgliche Modi sind:
    `loop': Gesamte Wiedergabeliste wiederholen.
    `repeat': Aktuellen Wiedergabelisteneintrag wiederholen.
    `shuffle': Zufälligen Eintrag aus noch nicht gespielter Wiedergabeliste auswählen.
    `shuffle+': Dasselbe wie shuffle, nur wird die Playliste unendlich oft wiederholt.

--skin-server-url <url>
    Definiert die URL für den Skin-Server.

--enqueue <mrl>
    Eine oder mehrere MRLs an laufende Sitzung (Sitzung 0) anhängen.
    Wenn eine andere Sitzung verwendet werden soll, kann diese mit -S session=x angegeben werden.

-S, --session <Option1,Option2,...>
    Sitzungsverwaltung. Alle Optionen bis auf session können mehr als einmal angegeben werden. Die Optionen sind:
    session=n: Spezifiziert die Sitzungsnummer n,
    mrl=m: Fügt MRL m der Wiedergabeliste hinzu.
    audio=c: Wählt Audiokanal (c: next oder prev),
    spu=c: Wählt SPU-Kanal (c: next oder prev),
    volume=v: Setzt Lautstärke (v: 0 bis 100),
    amp=v: Setzt Verstärkungslevel (v: 0 bis 200),
    playlist|pl=p
     <p> kann folgendes sein:
        clear: Wiedergabeliste leeren,
        next: Nächsten Eintrag wiedergeben,
        prev: Vorherigen Eintrag wiedergeben,
        load:s: Wiedergabeliste aus Datei s laden.
    Weiterhin sind folgende Optionen benutzbar:
        play, slow2, slow4, pause, fast2, fast4, stop, quit, fullscreen, eject.

-Z  Wiedergabe nicht automatisch starten (Beeinflusst nur den Autostart im Smart-Modus).

-D, --deinterlace [Nach[:..][;]]
    Deinterlace Video-Fenster. Konfigurationsoptionen der Nach-Plugins können überschrieben werden, die zum Deinterlacing des Ausgabebilds verwendet werden. Siehe --post für die Syntax.

-r, --aspect-ratio <Modus>
    Setze das Seitenverhältnis für die Video-Ausgabe. Mögliche Modi sind: auto, square, 4:3, anamorphic, dvb.

--broadcast-port <Port>
    Setzt den Port für den xine Broadcaster (Sender-Seite), Empfänger werden mit 'xine slave://Adresse:Port' gestartet.

--no-logo
    Das Logo nicht anzeigen.

-E, --no-reload
    Alte Playlist nicht laden. Die Playlist wird beim Beenden von xine gesichert und erneut geladen, wenn xine das nächste mal gestartet wird. Diese Funktion kann über das Setup deaktiviert werden.

--post <Plugin>[:Parameter=Wert][,...][;...]
    Lädt ein oder mehrere Post-Plugin(s). Parameter sind Komma-separiert. Diese Option kann mehrfach angegeben werden, um zwei oder mehr Video-Nachbearbeitungs-Plugins in Reihe zu schalten. Zwei oder mehr Plugins können mit Semikolon ';' getrennt angegeben werden.

--disable-post
    Post-Plugins nicht aktivieren. Auf diese Weise können mehrere Plugins mit der --post-Option angegeben werden, ohne daß diese Effekte aktiviert werden.

-H, --hide-video
    Verdeckt nach dem Start nur das Video-Fenster. (Wie das Betätigen von `H')

-L, --no-lirc
    Deaktiviert die LIRC Unterstützung. Diese Option steht nur zur Verfügung, wenn xine mit LIRC-Unterstützung übersetzt wurde.

--stdctl
    Aktiviert die Steuerung von xine über die Standardeingabe.

--visual <Visual-Klasse-oder-id>
    Bestimmtes X11-Visual für xine-Fenster verwenden. Der <Visual-Klasse-oder-id> Parameter kann entweder der Name einer X11-visual-Klasse (StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor oder DirectColor) oder ein hexadezimaler Wert derselben sein.

    Wenn ein symbolischer Name benutz wird, versucht xine ein solches Visual in der Farbtiefe 15 bzw. 16, 24 bzw. 32, oder 8 (in dieser Reihenfolge) zu finden. Die Standardeinstellung der visual-Klasse, die bei Abwesenheit der --visual-Option benutzt wird, ist TrueColor.

    Wenn kein benutzbares Visual gefunden wird, greift xine auf das Standard-Visual zurück, daß vom Hauptfenster des X11-Servers benutzt wird.

--install
    Wenn ein X11-visual mit veränderlichen Farben (Farbtabellen) benutzt wird, installiert xine eine eigene Farbtabelle. Mit einer eigenen Farbtabelle kann xine mehr Farben anfordern, so daß die Video-Ausgabe besser aussieht.

--keymap [=Optionen]
    Zeigt die Tastenbelegung an. Optionen sind:
    `default' Zeigt die Standard-Tastenbelegung an,
    `lirc' Zeigt die Tastenbelegung aus der ~/.lircrc-Konfigurationsdatei an,
    `remapped' Zeigt die benutzerspezifische Tastenbelegung an,
    `file:<Datei>' Benutze Tastenbelegung aus Datei.
    Wird keine Option angegeben, wird `default' ausgewählt.

-n, --network
    Aktiviert netzwerkbasierte Fernsteuerung. Für die Benutzung der netzwerkbasierten Fernsteuerung wird eine Passwortdatei benötigt. Wenn xine diese nicht finden kann, wird der Server gestoppt. Die Syntax der Passwortdatei folgt dem (bekannten) Schema <Identifikation>:<Passwort>. Weil Kryptographie in einigen Ländern gesetzlichen Beschränkungen unterliegt, wird das Passwort unverschlüsselt gespeichert und übertragen, weshalb Netzwerkverbindungen besonders zu beachten sind. Zusätzlichen stehen zwei (optionale) allgemeine Regeln zur Verfügung, die sich gegenseitig ausschließen
    ALL:ALLOW oder ALL:DENY
    Im ersten Fall können alle Klienten alle Kommandos ohne Einschränkungen ausführen. Im zweiten Fall können keine Klienten irgendwelche Kommandos ausführen, außer identifizierten Benutzern (durch das identify-Kommando).

    Wenn ein Passworteintrag mit einem Stern `*' beginnt, wird der Benutzer blockiert. Wenn das Passwortfeld leer ist, wird der komplette Eintrag ignoriert. Hier ein Beispiel für eine kleine ~/.xine/passwd Datei:

    ALL:DENY
    daniel:mypasswd
    foo:*

    Dieses erlaubt nur 'daniel' die Ausführung von Kommandos, nachdem er sich erfolgreich identifiziert hat.

    Der Standart-Port des Servers ist 6789 und ist vollkommen willkürlich. Der Server kann mit einem einfachen telnet Kommando kontaktiert werden:
    telnet localhost 6789
    Um den Standard-Port zu ändern, editiere als "root" die Datei /etc/services und füge folgenden Eintrag hinzu:

    xinectl    7890/tcp        # xine control

    Das wird den Standard-Port von 6789 auf 7890 ändern und einen Benutzer-Service mit dem Namen xinectl hinzufügen.

    Der Server selbst bietet folgende Befehle:
    help [Kommando]
    Ohne die Angabe von Kommando werden alle verfügbaren Befehle aufgelistet. Wenn ein Kommand angegeben ist, wird ein kurzer Text mit der Bescreibung der Funktionalität des Befehls ausgegeben.
    syntax <Kommando>
    Zeigt die Syntax von Kommando an.

-R, --root
    Benutzt den Desktophintergrund zur Videoausgabe.

MRL (media resource locator)
    MRLs sind ähnlich wie URLs im Web-Browser und beschreiben die zu spielenden Titel. Gültige MRLs können einfache Dateinamen sein oder folgendermaßen aussehen:

    file:<Pfad>

    fifo:<Pfad>

    stdin:/

    dvd:/<Titel>.<Part>

    vcd://<Titelnummer>

    tcp://<host>:<port>

    rtp://<host>:<port>

    udp://<host>:<port><?iface=interface>

    mms://<host>...

    http://<host>...

    cdda://<Titelnummer>

    Mehrere MRLs können angegeben werden, um mehrere Titel nacheinander zu spielen. Die oben aufgeführten MRLs werden standardmäßig von libxine unterstützt. Zusätzliche Plugins können diese Liste um weitere MRLs ergänzen.

    Wenn keine MRL angegeben wird, muß eine Datei per drag'n-drop ausgewählt werden. Das Herüberziehen vom GNOME Midnight Commander (gmc), Nautilus und Konqueror funktioniert.

    Externe Untertiteldateien (Jede MRL)
        Dateien mit Textuntertiteln können an die Datei-MRL angehängt werden:
        <mrl>::<Untertiteldateien>
        Dies ist eine xine-ui spezifische Option, um Untertitel anzugeben. Der Dateiname wird vom Frontend extrahiert, wodurch der Eintrag editierbar und abspeicherbar ist.
        <mrl>#subtitle:<Untertiteldatei>
        Dies ist eine xine-lib spezifische Option, um Untertitel anzugeben. Das Frontend wird diese Option ignorieren.

    Abspieloptionen
        Nach einem trennenden # können Parameter für den Abspielvorgang angegeben werden:

    novideo
        Videodaten werden ignoriert

    noaudio
        Tondaten werden ignoriert

    nospu
        Untertitel werden ignoriert

    demux:<Demuxer Name>
        bestimmt das zu verwendende Demuxer Plugin

    volume:<Pegel>
        setzt die Lautstärke

    compression:<Pegel>
        setzt die Dynamikkompression

    <Konfigurationseintrag>:<Wert>
        weist einem Konfigurationseintrag einen neuen Wert zu

    cfg:/<Konfigurationseintrag>:<Wert>
        Konfigurationseintrag 'on the fly' ändern. Im Unterschied zu Datenstromoptionen können so alle Optionen vor der Wiedergabe geändert werden.

BEDIENTASTEN
Viele Funktionen können durch Tastendrücken gesteuert werden. `M-' ist die Meta Taste (`Alt' Taste auf PC Tastaturen), `C-' ist die Control/Steuerungs `CTRL'/`STRG' Taste. Andere spzielle Tasten sind mit '<' und '>' Zeichen umklammert, z.B.: die `HOME/Pos1' Taste ist dargestellt als <Pos1>. Die Standard-Tastaturbelegung ist:

0 .. 9
    Zu 0%..90% des momentanen Titels springen.

/   Springe zum angegebenen Prozentsatz. Diese Möglichkeit ist allgemeiner als die "0 .. 9" Kommandos von oben. Siehe dazu auch die Sektion "Numerische Eingabe" weiter unten.

A   Seitenverhältnis (AUTO/16:9/4:3/DVB) umschalten.

C-a Mediamarke für aktuelle Abspielposition der Wiedergabeliste hinzufügen.

M-C Fenster mit Video-Einstellungen anzeigen/verdecken.

E   Momentanes Medium/Titel auswerfen.

f   Vollbildmodues umschalten.

F   Xinerama Vollbildmodues umschalten.

G   Bedienfenster anzeigen/verdecken.

H   Video-Ausgabefenster anzeigen/verdecken.

i | I
    Deinterlace-Methode umschalten.

l   Zwischen Wiederholungsmodi umschalten.

M-l Fenster mit Meldungen anzeigen/verdecken.

M-m Fenster mit MRL-Browser anzeigen/verdecken.

C-m Ton-Stummschaltung umschalten.

CM-o
    TV-Modus der DXR3 umschalten.

C-o Dateibrowser öffnen.

M-p Fenster mit Wiedergabeliste anzeigen/verdecken.

Q   Beenden.

d   Monitor in DPMS-Bereitschaftsmodus schalten.

s   Zoom auf 1:1 zurücksetzen.

S   Wiedergabe anhalten.

M-s Fenster mit Einstellungen anzeigen/verdecken.

z | Z
    Hinein/hinaus zoomen.

M-C-z
    Zoom zurücksetzen.

v   Lautstärke verringern.

V   Lautstärke erhöhen.

C-v Verstärkungslevel verringern.

C-V Verstärkungslevel erhöhen.

C-A Verstärkungslevel zurücksetzen.

t   Bildschirmschnappschuß machen.

<RETURN>
    Wiedergabe.

<LEERZEICHEN>
    Pause.

<Oben> | <Untenn>
    Schnelle / langsame Wiedergabe.

c-<Links> | C-<Rechts>
    -+ 15 Sekunden spulen.

<Links> | <Rechts>
    -+ 60 Sekunden spulen.

<Bild hoch>
    Zum vorherigen Titel in der Wiedergabeliste springen.

<Bild runter>
    Zum nächsten Titel in der Wiedergabeliste springen.

<   Ausgabefenster verkleinern.

>   Ausgabefenster vergrößern.

M-1 Video-Fenstergröße auf 50% setzen.

M-2 Video-Fenstergröße auf 100% setzen.

M-3 Video-Fenstergröße auf 200% setzen.

.   Nächsten Untertitel-Kanal auswählen.

,   Vorherigen Untertitel-Kanal auswählen.

+   Nächsten Tonkanal auswählen. (Der Wechsel kann sich bis zu einigen Sekunden verzögern)

-   Vorherigen Tonkanal auswählen.

<Esc>
    Menü 1 (insbesondere Hauptmenü)

<F1>
    Menü 2 (insbesondere Titelmenü)

<F2>
    Menü 3

<Einfg>
    Mauszeiger ein-/ausblenden

M-e Ereignissendefenster anzeichen/verdecken.

M-i Fenster mit Datenstrominformationen anzeichen/verdecken.

C-t Anzeigemodus zwischen MRL und Identifikatoren umschalten.

C-s Datenstrominformationen in Wiedergabeliste aktualisieren (falls verfügbar).

C-e Erlaubt das Ändern der Mediamarkinformationen (Identifikator, MRL, Start- und Endzeit) im Wiedergabelistenfenster.

  Zusätzliche Plugins
Die folgenden Belegungen werden von zusätzlichen Plugins verwendet, normalerweise zur DVD-Navigation:

<Tastenfeld Hoch>
    Ein Ereignis hoch.

<Tastenfeld Runter>
    Ein Ereignis runter.

<Tastenfeld Links>
    Ein Ereignis links.

<Tastenfeld Rechts>
    Ein Ereignis rechts.

<Tastenfeld Bild Hoch>
    Ein Ereignis vorher.

<Tastenfeld Bild Runter>
    Ein Ereignis weiter.

<Tastenfeld Ende>
    Vorheriges Blickwinkel-Ereignis.

<Tastenfeld Pos1>
    Nächstes Blickwinkel-Ereignis.

<Tastenfeld Enter>
    Ereignis auswählen.

  Synchonisationsfeinheiten
Einige Titel haben schlechte Zeitmarken, so daß die Synchonisation nicht funktioniert. Dies kann mit folgenden Tasten korrigiert werden:

n   Falls das Video dem Ton hinterherhinkt.

m   Falls das Video dem Ton vorauseilt.

<Pos1>
    Video/Ton-Differenz auf 0 zurücksetzen, so daß die Zeitmarken unverändert bleiben.

  Untertitelsynchronisation
Die Synchronisation der Untertitel kann mit folgenden Tasten korrigiert werden:

N | M

  Numerische Eingabe
Die Zifferntasten können zur Eingabe von Zahlen verwendet werden, aber aus Rückwärtskompatibilitätsgründen sind die Zifferntasten nicht mit den korrespondierenden Zahlen belegt. Vielmehr sind sie mit Symbolen belegt, die normalerweise nicht mit der Tastatur erzeugt werden können. Deshalb ist die numerische Eingabe standardmäßig deaktiviert.

Diese Einstellungen lassen sich aber verändern, indem "SetPosition<X>%" und "Number<Y>" Tasten zugeordnet werden (X ist 0, 10, .. 90 und Y ist 0..9). Dazu müssen in der xine keymap-Datei ~/.xine/keymap folgende Zeile ersetzt werden:

# Setze Position auf den Anfang bzw. 10..90% des Datemstroms.
SetPosition0% {
	key = 0
	modifier = mod3
}
SetPosition10% {
	key = 1
	modifier = mod3
}
SetPosition20% {
	key = 2
	modifier = mod3
}
SetPosition30% {
	key = 3
	modifier = mod3
}
SetPosition40% {
	key = 4
	modifier = mod3
}
SetPosition50% {
	key = 5
	modifier = mod3
}
SetPosition60% {
	key = 6
	modifier = mod3
}
SetPosition70% {
	key = 7
	modifier = mod3
}
SetPosition80% {
	key = 8
	modifier = mod3
}
SetPosition90% {
	key = 9
	modifier = mod3
}

# Eingabe der Ziffern 0..9.
Number0 {
	key = 0
	modifier = none
}
Number1 {
	key = 1
	modifier = none
}
Number2 {
	key = 2
	modifier = none
}
Number3 {
	key = 3
	modifier = none
}
Number4 {
	key = 4
	modifier = none
}
Number5 {
	key = 5
	modifier = none
}
Number6 {
	key = 6
	modifier = none
}
Number7 {
	key = 7
	modifier = none
}
Number8 {
	key = 8
	modifier = none
}
Number9 {
	key = 9
	modifier = none
}

Nach den obigen Änderungen können numerische Eingaben genutzt werden, um Zahlen für Kommandos einzugeben. Dazu wird zuerst die Zahl und danach das eigentliche Kommando eingegeben. Die Eingabe "99/" (zweimal die `9'-Taste und danach die `/'-Taste) würde zum Beispiel an die Position 99% des Eingabedatenstroms springen.

Das neue, experimentelle VCD/SVCD-Plugin `VCDX' erlaubt die numerische Eingabe. Die Eingabe einer Zahl gefolgt von "Ereignis-Auswahl" (normalerweise Ziffernblock Enter) springt in das angegebene "Kapitel" (Track oder Eintrag). Im Laufer der Zeit werden sicherlich weitere Plugins diese neue Funktionalität benutzen.

Die Kommandos "nächste/vorherige MRL" (MRL_NEXT, MRL_PRIOR), "nächster/vorheriger Untertitel" (SPU_NEXT, SPU_PRIOR) und "nächster/vorheriger Tonkanal" (AUDIOCHAN_NEXT, AUDIOCHAN_PRIOR) nutzen bereits die Funktion der numerischen Eingabe. Wird vor diesen Kommandos eine Zahl eingegeben, so wird das Kommando sooft wie angegeben ausgeführt. Eine "0" wird hier als "einmal" interpretiert, da dies ansonsten sinnlos wäre.

DATEIEN

~/.xine/config
    Hauptkonfigurationsdatei.

~/.xine/keymap
    Tastaturbelegung von xine-ui.

~/.xine/passwd
    Passwortdatei für xine-ui.

~/.xine/xinerc
    Zusätzliche Kommandozeilenoptionen
    Jede Zeile entspricht einer zusätzlichen Kommandozeilenoption (Eine Option pro Zeile):
    --geometry 720x576+0+0
    --network
    -s DVD
    -p

SIEHE AUCH
xine-remote(1), aaxine(1)
Die vollständige Dokumentation befindet sich auf der xine-Homepage: http://xine.sourceforge.net/ (http://xine.sourceforge.net/)

AUTOR
Diese Hilfe wurde von Philipp Hahn <pmhahn@users.sf.net> für das xine Project übersetzt.

Das englische Original wurde von Siggi Langauf <siggi@debian.org> für das xine Projekt geschrieben. Viele Ergänzungen stammen von Guenter Bartsch <guenter@users.sourceforge.net> und Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>